Home page logo
/

fulldisclosure logo Full Disclosure mailing list archives

Updated ipsec-tools packages fix vulnerability
From: security () mandriva com
Date: Wed, 25 Jan 2006 13:11:04 -0700


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 _______________________________________________________________________
 
 Mandriva Linux Security Advisory                         MDKSA-2006:020
 http://www.mandriva.com/security/
 _______________________________________________________________________
 
 Package : ipsec-tools
 Date    : January 25, 2006
 Affected: 10.1, 10.2, 2006.0, Multi Network Firewall 2.0
 _______________________________________________________________________
 
 Problem Description:
 
 The Internet Key Exchange version 1 (IKEv1) implementation (isakmp_agg.c) 
 in ipsec-tools racoon before 0.6.3, when running in aggressive mode, 
 allows remote attackers to cause a denial of service (null dereference 
 and crash) via crafted IKE packets, as demonstrated by the PROTOS ISAKMP 
 Test Suite for IKEv1.
 
 The updated packages have been patched to correct this problem.
 _______________________________________________________________________

 References:
 
 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3732
 _______________________________________________________________________
 
 Updated Packages:
 
 Mandriva Linux 10.1:
 c1f74be6f3c46152881ded66022a3928  10.1/RPMS/ipsec-tools-0.2.5-2.2.101mdk.i586.rpm
 c8416853386be9e80b5f8ac6de16cf93  10.1/RPMS/libipsec-tools0-0.2.5-2.2.101mdk.i586.rpm
 278751ee3fca05321059c67f39f1a0f0  10.1/SRPMS/ipsec-tools-0.2.5-2.2.101mdk.src.rpm

 Mandriva Linux 10.1/X86_64:
 5d3d19d02d0d5a8eb5fcc237768fb07f  x86_64/10.1/RPMS/ipsec-tools-0.2.5-2.2.101mdk.x86_64.rpm
 464dadc90a736f6312a6c143c12a4cce  x86_64/10.1/RPMS/lib64ipsec-tools0-0.2.5-2.2.101mdk.x86_64.rpm
 278751ee3fca05321059c67f39f1a0f0  x86_64/10.1/SRPMS/ipsec-tools-0.2.5-2.2.101mdk.src.rpm

 Mandriva Linux 10.2:
 75b061a206ba4a943904d384e489036c  10.2/RPMS/ipsec-tools-0.5-4.2.102mdk.i586.rpm
 3c17715ce5bd1e63347e844bca518fa3  10.2/RPMS/libipsec0-0.5-4.2.102mdk.i586.rpm
 c221e9fbca14cc956df812605aa67b96  10.2/RPMS/libipsec0-devel-0.5-4.2.102mdk.i586.rpm
 313ae7a9fd1eceb117515c61f19f0a2a  10.2/SRPMS/ipsec-tools-0.5-4.2.102mdk.src.rpm

 Mandriva Linux 10.2/X86_64:
 2de25a175eff7fbb77758993965110a5  x86_64/10.2/RPMS/ipsec-tools-0.5-4.2.102mdk.x86_64.rpm
 ff5095c574441578b6e6e1c9384bf05c  x86_64/10.2/RPMS/lib64ipsec0-0.5-4.2.102mdk.x86_64.rpm
 db6e3f33dc2326528a4c22e199e2c0fa  x86_64/10.2/RPMS/lib64ipsec0-devel-0.5-4.2.102mdk.x86_64.rpm
 313ae7a9fd1eceb117515c61f19f0a2a  x86_64/10.2/SRPMS/ipsec-tools-0.5-4.2.102mdk.src.rpm

 Mandriva Linux 2006.0:
 a3881692a4ee81a3e4759500691ba86d  2006.0/RPMS/ipsec-tools-0.5.2-5.1.20060mdk.i586.rpm
 4523963e017054a149cc9c6c46e6fa39  2006.0/RPMS/libipsec0-0.5.2-5.1.20060mdk.i586.rpm
 9208a98bc79efce31e8bf08c5a409431  2006.0/RPMS/libipsec0-devel-0.5.2-5.1.20060mdk.i586.rpm
 390a8547034610a0ebd6a30f8752c36d  2006.0/SRPMS/ipsec-tools-0.5.2-5.1.20060mdk.src.rpm

 Mandriva Linux 2006.0/X86_64:
 89c02c5eebb80544fb54cf8876183d92  x86_64/2006.0/RPMS/ipsec-tools-0.5.2-5.1.20060mdk.x86_64.rpm
 833ab780f0ef3eb86da1c2aa82746c72  x86_64/2006.0/RPMS/lib64ipsec0-0.5.2-5.1.20060mdk.x86_64.rpm
 d875aeb7f90b36eba89ff2e2b901a3cc  x86_64/2006.0/RPMS/lib64ipsec0-devel-0.5.2-5.1.20060mdk.x86_64.rpm
 390a8547034610a0ebd6a30f8752c36d  x86_64/2006.0/SRPMS/ipsec-tools-0.5.2-5.1.20060mdk.src.rpm

 Multi Network Firewall 2.0:
 3a441d674beb304f607975502cb2f302  mnf/2.0/RPMS/ipsec-tools-0.2.5-0.4.M20mdk.i586.rpm
 109a0184382426bd065df6000f64189d  mnf/2.0/RPMS/libipsec-tools0-0.2.5-0.4.M20mdk.i586.rpm
 96dacbdb35121f2f876d1bb19cb00c24  mnf/2.0/SRPMS/ipsec-tools-0.2.5-0.4.M20mdk.src.rpm
 _______________________________________________________________________

 To upgrade automatically use MandrivaUpdate or urpmi.  The verification
 of md5 checksums and GPG signatures is performed automatically for you.

 All packages are signed by Mandriva for security.  You can obtain the
 GPG public key of the Mandriva Security Team by executing:

  gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

 You can view other update advisories for Mandriva Linux at:

  http://www.mandriva.com/security/advisories

 If you want to report vulnerabilities, please contact

  security_(at)_mandriva.com
 _______________________________________________________________________

 Type Bits/KeyID     Date       User ID
 pub  1024D/22458A98 2000-07-10 Mandriva Security Team
  <security*mandriva.com>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFD19iemqjQ0CJFipgRAp9rAKC7w5Jflg/c/KBy6kdNDiGF8YbgWQCeIbM4
LUncx0ejSC2hQ5/zFlDZKjg=
=qhPu
-----END PGP SIGNATURE-----

_______________________________________________
Full-Disclosure - We believe in it.
Charter: http://lists.grok.org.uk/full-disclosure-charter.html
Hosted and sponsored by Secunia - http://secunia.com/


  By Date           By Thread  

Current thread:
  • Updated ipsec-tools packages fix vulnerability security (Jan 25)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]